Package org.globus.gram.internal

# Class CallbackResponse

java.lang.Object
org.globus.util.http.HttpResponse
org.globus.gram.internal.GatekeeperReply
org.globus.gram.internal.CallbackResponse

public class CallbackResponse extends GatekeeperReply

## Field Summary

Fields
Modifier and Type
Field
Description
`protected String`
`callbackURL`
`protected String`
`httpMethod`

### Fields inherited from class org.globus.gram.internal.GatekeeperReply

`exitCode, failureCode, jobFailureCode, jobManagerUrl, protocolVersion, status`

### Fields inherited from class org.globus.util.http.HttpResponse

`charsRead, chunked, connection, contentLength, contentType, httpCode, httpMsg, httpType, input, location, server`

## Constructor Summary

Constructors
Constructor
Description
`CallbackResponse(InputStream in)`

## Method Summary

Modifier and Type
Method
Description
`void`
`parseHttp(String line)`
`String`
`toString()`
Generates a string representation of the http header

### Methods inherited from class org.globus.gram.internal.GatekeeperReply

`myparse`

### Methods inherited from class org.globus.util.http.HttpResponse

`getRest, readLine`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### httpMethod

protected String httpMethod

### callbackURL

protected String callbackURL

## Constructor Details

### CallbackResponse

public CallbackResponse(InputStream in) throws IOException

Throws:
  `IOException`

## Method Details

### parseHttp

public void parseHttp(String line)

Overrides:
  `parseHttp` in class `HttpResponse`

### toString

public String toString()
Description copied from class: `HttpResponse`
Generates a string representation of the http header

Overrides:
  `toString` in class `GatekeeperReply`
Returns:
  `String` a string representation of the http header